import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_x_nfc/flutter_x_nfc.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_x_nfc');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterXNfc.platformVersion, '42');
  });
}
